Bug 11302 - filesystem package is out of sync with %_?iconsdir macros
: filesystem package is out of sync with %_?iconsdir macros
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/filesystem)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-01 21:25 by
Modified: 2008-03-13 12:41 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-01 21:25:57
earlier (at least in compact 3.0)
'filesystem' contained standard alt locations of
%_miconsdir, %_liconsdir, %_niconsdir:
igor@olya ~ $ rpm -qf /usr/share/icons/mini
filesystem-2.3.1-alt1
igor@olya ~ $ rpm -qf /usr/share/icons/large
filesystem-2.3.1-alt1
igor@olya ~ $ rpm -qf /usr/share/icons/     
filesystem-2.3.1-alt1
as Sergey added freedesktop standards support, 
those standard locations were changed,
but those changes was not reflected in 'filesystem' package.
it should be fixed in filesystem,
otherwise it will cause extra dependency to icons-theme-hicolor 
for all desktop packages.
------- Comment #1 From 2007-04-02 01:22:22 -------
icon-themes-hicolor is not a real "theme", it's just a collection of directory
entries and index.theme that contains some fd.o information about these
directories. I don't see anything bad in dependency of packages that contain
icons, on this package.
------- Comment #2 From 2007-04-05 20:17:45 -------
the bad thing is polluting the specs.
Also, it requires changes to all desktop packages.
------- Comment #3 From 2007-04-06 12:54:30 -------
The answer to polluting the specs can be the same as to any library package:
autogenerate this dependency, judging on the presence of files in
/usr/share/icons/hicolor. This also solves the problem of mass-changing desktop
package specs.
------- Comment #4 From 2007-04-06 15:32:02 -------
Я, вообще, за то, чтоб в filesystem, но там че-то слишком много каталогов, да 
и не знаю точно, насколько этот состав постоянен.
Да и /usr/share/icons/locolor вроде тоже туда же.
------- Comment #5 From 2007-04-06 16:25:46 -------
Состав каталогов под /usr/share/icons/hicolor/ изменяется, но довольно редко.
См. ChangeLog от последней версии здесь:
http://icon-theme.freedesktop.org/wiki/HicolorTheme
В общем, по некотором размышлении я согласен с тем, что подмножество каталогов,
относящихся к %_?iconsdir, лучше перенести в filesystem.
------- Comment #6 From 2007-04-07 01:41:55 -------
Если нетрудно, приведите полный список каталогов, которые предлагается
перенести
в пакет filesystem.
------- Comment #7 From 2007-09-10 12:45:51 -------
Попробуем снять баг с ручного тормоза. Господа заинтересованные, просьба
отревьюить. Скорее всего, стоит добавить какие-то ещё каталоги из
icon-theme-hicolor.
/usr/share/icons/hicolor
/usr/share/icons/hicolor/16x16
/usr/share/icons/hicolor/16x16/apps
/usr/share/icons/hicolor/32x32
/usr/share/icons/hicolor/32x32/apps
/usr/share/icons/hicolor/48x48
/usr/share/icons/hicolor/48x48/apps
Это только необходимый минимум для поддержки макросов %_{l,m,n}iconsdir.
------- Comment #8 From 2007-09-10 18:37:02 -------
хоть что-то добавить.
------- Comment #9 From 2007-09-10 22:42:30 -------
А можно хоть какими-нибудь словами уточнить, что скрывается за "хоть что-то"?
------- Comment #10 From 2007-09-14 21:18:29 -------
имел в виду, что полностью поддерживаю Ваше предложение.
------- Comment #11 From 2007-10-16 15:14:39 -------
Ok, просьба вышеприведённый список добавить в filesystem. Из
icon-theme-hicolor-0.10-alt2 соответствующие каталоги удалены.
Не помечаю как FIXED, поскольку этих каталогов, имхо, недостаточно. Но
сформулировать, что ещё нужно перенести в filesystem и в особенности - критерий
переноса я пока не готов. Если кто-то ещё это может сделать, переоткройте баг,
пожалуйста, и сформулируйте.
------- Comment #12 From 2007-10-18 18:13:53 -------
ok
------- Comment #13 From 2007-10-18 18:52:19 -------
Packaged 7 dirs from /usr/share/icons/hicolor directory hierarchy as mentioned
above.

BEWARE: build of 17 packages will break due to new filesystem intersections:

cheesetracker-0.9.9-alt4.i586.rpm: /usr/share/icons/hicolor
/usr/share/icons/hicolor/16x16 /usr/share/icons/hicolor/16x16/apps
/usr/share/icons/hicolor/32x32 /usr/share/icons/hicolor/32x32/apps
/usr/share/icons/hicolor/48x48 /usr/share/icons/hicolor/48x48/apps

enigma-1.0-alt1.i586.rpm: /usr/share/icons/hicolor/48x48
/usr/share/icons/hicolor/48x48/apps

fglrx-tools-8.40.4-alt2.i586.rpm: /usr/share/icons/hicolor
/usr/share/icons/hicolor/48x48 /usr/share/icons/hicolor/48x48/apps

filelight-1.0-alt2.i586.rpm: /usr/share/icons/hicolor
/usr/share/icons/hicolor/16x16 /usr/share/icons/hicolor/16x16/apps
/usr/share/icons/hicolor/32x32 /usr/share/icons/hicolor/32x32/apps
/usr/share/icons/hicolor/48x48 /usr/share/icons/hicolor/48x48/apps

katapult-0.3.1.4r-alt2.i586.rpm: /usr/share/icons/hicolor/16x16/apps
/usr/share/icons/hicolor/32x32/apps /usr/share/icons/hicolor/48x48/apps

kbfx-0.4.9.3.1-alt1.i586.rpm: /usr/share/icons/hicolor
/usr/share/icons/hicolor/16x16 /usr/share/icons/hicolor/16x16/apps
/usr/share/icons/hicolor/32x32 /usr/share/icons/hicolor/32x32/apps


kflickr-0.5-alt1.i586.rpm: /usr/share/icons/hicolor
/usr/share/icons/hicolor/16x16 /usr/share/icons/hicolor/16x16/apps
/usr/share/icons/hicolor/32x32 /usr/share/icons/hicolor/32x32/apps

kmuddy-0.8-alt1.i586.rpm: /usr/share/icons/hicolor/16x16
/usr/share/icons/hicolor/16x16/apps /usr/share/icons/hicolor/32x32
/usr/share/icons/hicolor/32x32/apps

knowit-0.10-alt4.1.i586.rpm: /usr/share/icons/hicolor
/usr/share/icons/hicolor/16x16 /usr/share/icons/hicolor/16x16/apps
/usr/share/icons/hicolor/32x32 /usr/share/icons/hicolor/32x32/apps

ksocrat-3.2.1-alt6.i586.rpm: /usr/share/icons/hicolor
/usr/share/icons/hicolor/16x16 /usr/share/icons/hicolor/16x16/apps
/usr/share/icons/hicolor/32x32 /usr/share/icons/hicolor/32x32/apps

kxdocker-0.39-alt1.i586.rpm: /usr/share/icons/hicolor/16x16/apps
/usr/share/icons/hicolor/32x32/apps /usr/share/icons/hicolor/48x48/apps

last-exit-4-alt1.i586.rpm: /usr/share/icons/hicolor/16x16
/usr/share/icons/hicolor/16x16/apps /usr/share/icons/hicolor/32x32
/usr/share/icons/hicolor/48x48

muine-0.8.6-alt2.i586.rpm: /usr/share/icons/hicolor/16x16/apps
/usr/share/icons/hicolor/32x32/apps

qtiplot-0.8.9-alt2.i586.rpm: /usr/share/icons/hicolor
/usr/share/icons/hicolor/32x32 /usr/share/icons/hicolor/32x32/apps

rosegarden-1.5.1-alt1.i586.rpm: /usr/share/icons/hicolor
/usr/share/icons/hicolor/16x16 /usr/share/icons/hicolor/16x16/apps
/usr/share/icons/hicolor/32x32 /usr/share/icons/hicolor/32x32/apps
/usr/share/icons/hicolor/48x48 /usr/share/icons/hicolor/48x48/apps

smplayer-0.5.60-alt1.i586.rpm: /usr/share/icons/hicolor/16x16/apps
/usr/share/icons/hicolor/32x32/apps

TnL-20070827-alt1.i586.rpm: /usr/share/icons/hicolor
/usr/share/icons/hicolor/16x16 /usr/share/icons/hicolor/16x16/apps
/usr/share/icons/hicolor/32x32 /usr/share/icons/hicolor/32x32/apps
/usr/share/icons/hicolor/48x48 /usr/share/icons/hicolor/48x48/apps

worker-2.14.1-alt0.1.i586.rpm: /usr/share/icons/hicolor
/usr/share/icons/hicolor/16x16 /usr/share/icons/hicolor/16x16/apps
/usr/share/icons/hicolor/32x32 /usr/share/icons/hicolor/32x32/apps
/usr/share/icons/hicolor/48x48 /usr/share/icons/hicolor/48x48/apps

yakuake-2.8-alt1.i586.rpm: /usr/share/icons/hicolor/16x16/apps
/usr/share/icons/hicolor/32x32/apps
------- Comment #14 From 2007-10-18 20:37:50 -------
По-хорошему бы все каталоги из icon-theme-hicolor в filesystem переместить
------- Comment #15 From 2007-10-21 20:28:40 -------
Насколько эти каталоги релевантны для сервера без иксов и монитора?